import { FindAllTerritoriesForPointRequest } from '../domain/dtos/find-all-territories-for-point.request';
import { Point } from '../domain/entities/point';

export class FindAllTerritoriesForPointQuery {
  point: Point;

  constructor(
    findAllTerritoriesForPointRequest?: FindAllTerritoriesForPointRequest,
  ) {
    this.point = new Point(
      findAllTerritoriesForPointRequest.lon,
      findAllTerritoriesForPointRequest.lat,
    );
  }
}
